dbe(1)

NAME
dbe - Edit a ndbm(3) database

USAGE
dbe <database> [-m r|w|rw] [-crtvx] -a|-d|-f|-F|-s [<key> [<content>]]

DESCRIPTION
dbme operates on ndbm(3) databases. It can be used to create them, look at them or change them. When specifying the value of a key or the content of its associated entry, \nnn, \0, \n, \t, \f and \r are interpreted as usual. When displaying key/content pairs, non-printable characters are displayed using the \nnn notation.

OPTIONS

-a  List all entries in the database.

-c  Create the database if it does not exist.

-d  Delete the entry associated with the specified key.

-f  Fetch and display the entry associated with the specified key.

-F  Fetch and display all the entries whose key match the specified regular-expression

-m r|w|rw
    Open the database in read-only, write-only or read-write mode

-r  Replace the entry associated with the specified key if it already exists. See option -s.

-s  Store an entry under a specific key. An error occurs if the key already exists and the option -r was not specified.

-t  Re-initialize the database before executing the command.

-v  Verbose mode. Confirm stores and deletions.

-x  If option -x is used with option -c, then if the database already exists, an error occurs. This can be used to implement a simple exclusive access locking mechanism.

SEE ALSO
ndbm(3)

AUTHOR
janick@bnr.ca